import { Timestamp } from "firebase/firestore";
import { ModelConverter } from "yuni-chanz-react";
export default abstract class FirebaseModelConverter<T = any> extends ModelConverter<T> {
    /**
     * Encodes the specified Date instance into a Firestore date representation.
     */
    encodeDate(value: Date): Timestamp;
    decodeDate(value: any): Date | null;
}
